Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
(re-) emerge of qtwebengine-5.12.3 failed w/ unstable kernel
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
pietinger
Tux's lil' helper
Tux's lil' helper


Joined: 17 Oct 2006
Posts: 95

PostPosted: Fri Sep 06, 2019 11:53 pm    Post subject: (re-) emerge of qtwebengine-5.12.3 failed w/ unstable kernel Reply with quote

Since many years I have the newest kernel (now: 5.2.10) within a stable environment and I never had problems with this mix. After my last sync and "emerge -uD @world" the stable qtwebengine-5.12.3 should be recompiled and failed with:

error: ‘SIOCGSTAMP’ was not declared in this scope

The reason is a known problem with linux-headers-5.2. After installing the same patch for qtwebengine-5.12.4 I was able to compile 5.12.3. Patch and more infos in:

https://bugs.gentoo.org/692352

(this is only for users having the same crazy mix (and the first update to qtwebengine-5.12.3 was under linux-headers 5.1))
Back to top
View user's profile Send private message
Juippisi
Developer
Developer


Joined: 30 Sep 2005
Posts: 427
Location: /home

PostPosted: Sat Sep 07, 2019 8:47 am    Post subject: Reply with quote

Fix should be in ::gentoo tree now, sync up and you shouldn't be hit by this.
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3786
Location: Germany

PostPosted: Sat Sep 07, 2019 9:36 am    Post subject: Reply with quote

Juippisi wrote:
Fix should be in ::gentoo tree now, sync up and you shouldn't be hit by this.

Nope, it is fixed in current testing Qt 5.12.4
but not in stable 5.12.3
see https://bugs.gentoo.org/692352#c30
Back to top
View user's profile Send private message
Prof. Frink
Apprentice
Apprentice


Joined: 07 Jan 2017
Posts: 176

PostPosted: Sat Sep 07, 2019 2:27 pm    Post subject: Reply with quote

This package did compile on my system, but I am using sys-kernel/gentoo-sources-5.2.11.

Best Regards,

Frink
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7480
Location: Austria

PostPosted: Sat Sep 07, 2019 2:34 pm    Post subject: Reply with quote

sys-kernel/gentoo-sources is irrelevant.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
pietinger
Tux's lil' helper
Tux's lil' helper


Joined: 17 Oct 2006
Posts: 95

PostPosted: Sat Sep 07, 2019 3:34 pm    Post subject: Reply with quote

Prof. Frink wrote:
This package did compile on my system, but I am using sys-kernel/gentoo-sources-5.2.11.

But you dont have linux-headers 5.2 ... ?
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum